Bug 514632 - Reactivation keys behaving differently than in the past (oddness with delete).
Reactivation keys behaving differently than in the past (oddness with delete).
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
: Regression
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-07-29 18:18 EDT by Brandon Perkins
Modified: 2014-07-04 09:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 09:27:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reactivation Key Slideshow (1.41 MB, application/octet-stream)
2009-07-29 18:18 EDT, Brandon Perkins
no flags Details

  None (edit)
Description Brandon Perkins 2009-07-29 18:18:19 EDT
Created attachment 355614 [details]
Reactivation Key Slideshow

Description of problem:
Reactivation keys behaving differently than in the past (oddness with delete).

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090724.0-x86_64-embedded-oracle

How reproducible:
Fairly deterministically.  Seems to involve Virt hosts.

Steps to Reproduce:
1. Create some guests and some failed guests.
2. Go to Details -> Reactivation on the SDC.
  
Actual results:
1) You may actually have a reactivation key there already (which shouldn't happen if you did not explicitly ask for one).
2) Sometimes the keys are prefixed with 're-'
3) As you delete keys, more keys appear, sometimes with re-org- and sometimes not.
4) The IDs are all over the map.

Expected results:
1) Reactivation keys appear only when explicitly asked for.
2) No re-prefix on reactivation keys.
3) When a key is deleted, no more keys appear until explictly requested.
4) IDs are linear.

Additional info:
"slideshow" attached.  This was replicated on a Satellite Wes had and a Satellite I had.
Comment 1 Clifford Perry 2009-07-30 11:05:34 EDT
Justin/Partha/Mike - I know we made changes in code for re-activation keys for associations with Cobbler kickstart profiles. 

Can we have someone explain the expected behavior for QA, so that we can determine if, what anything is miss-behaving or not. 

Thanks,
Cliff.
Comment 2 Justin Sherrill 2009-07-30 11:12:51 EDT
So the only change that I know of is the addition of 're-' to the front of the key (To signify it is a reactivation key).  No other changes were made that I am aware of.

-Justin
Comment 3 Partha Aji 2009-07-30 18:27:45 EDT
Ok we just figured out how to reproduce this.

1) Goto Virt Host SDC -> Reactivation -> Generate Key (make a note of the generated key)
2) Goto Virtualization->Provisioning-> Schedule a Guest Install
3) Go Back to Reactivation
Note a new key is generated even though its a guest provision.
4) Hit Delete Key. The old key shows back.

In short we are generating a new reactivation key for the Virt Host every time we schedule a virt guest kickstart. Thus causing the issue
Comment 5 John Sefler 2009-08-10 11:44:47 EDT
bug#515810 may be related in some way.

Following the scenario in bug 515810 repeatedly produces an activation key prefixed with a "re-"

Note You need to log in before you can comment on or make changes to this bug.